Bug 81199 - Evolution sends message in the clear when Compose is cancelled and message is re-sent from Compose window
Evolution sends message in the clear when Compose is cancelled and message is...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
8.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-06 13:15 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 15:14:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-01-06 13:15:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
If you are composing a message in Evolution, and click Send, you are (initially)
prompted for a dialog to enter your gpg passphrase. If you click Cancel on this
dialog, you are returned to the Compose window. If you change your outgoing name
or account from the Compose window in the "From:" field, and click Send again,
the message is sent in the clear, and no prompting for a gpg passphrase is offered. 

Version-Release number of selected component (if applicable):
1.2.1


How reproducible:
Always

Steps to Reproduce:
1. Compose a message in the normal Compose window

2. Make sure you have gpg enabled, and click Send

3. When the gpg passphrase dialog pops up and asks for your passphrase, click
Cancel, which will return you back to the Compose window

4. Change the outgoing address in the "From:" field of the Compose window

5. Click Send again

Actual Results:  The message is sent in the clear, and no prompting for the gpg
passphrase is offered or used. 

Expected Results:  The message should have offered the option of sending with
gpg signing, encrypting, or otherwise. 

Additional info:
Comment 1 Jeremy Katz 2003-01-12 15:14:12 EST
I'm pretty certain this was a conscious design decision made upstream.  If you
cancel signing, then it disables signing on the message by default.

Note You need to log in before you can comment on or make changes to this bug.